/**
 * shareTools.js
 * 
 * @Author : xiufu
 * @Timestamp : 2016-09-05
 */
//引入组件库
var deviceone = require("deviceone");
var do_nf = deviceone.sm("do_Notification");
var do_device = deviceone.sm("do_Device");
var do_initData = deviceone.sm("do_InitData");
var do_global = deviceone.sm("do_Global");

//引入第三方组件
var do_qq = deviceone.sm("do_TencentQQ");
var do_wx = deviceone.sm("do_TencentWX");


//获取os信息
var deviceOS = do_device.getInfo().OS;
var qq_key = deviceOS == "android" ? "1105292009" : "1105292009";
do_initData.copyFile("initdata://logo1.png", "data://logo1.jpg", function(data, e) {});

var key = {
	    qq: qq_key,
	    wx: "wx0c3685e52cfaf329",
	    wxLink: "https://app.dev.cydow.com/app/weixin/",
	    qqLink: "https://app.dev.cydow.com/qq_conn/1105292009",
	    title: "慧影时间流，时间、人脉、个人信息全方位智能管理",
	    image: "data://logo1.jpg",
	    url: "http://api.cydow.com/app/download/index.html?type=5",
	    summary: "待办倒计时纪念日倒数日课程表清单笔记日记备忘合同保单账户资料文件总结通知规划",
	    success: "分享成功",
	    fail: "分享失败",
	    file: "文件分享"
	};

/**
 * 分享给QQ好友
 */
module.exports.shareToQQ = function() {
	var _shareUrl = key.url + "&chnl=1";
	do_qq.shareToQQ({
		appId : key.qq,
		qqLink: key.qqLink,
		type : 0,
		title : key.title,
		url : _shareUrl,
		image : key.image,
		summary : key.summary,
		audio : "",
		appName : "慧影时间流"
	}, function(data, e) {
		deviceone.print("share to qq: " + data);
		if(data){
			do_nf.toast("分享成功！");
		}
	});
}

/**
 * 分享到微信
 * 
 * 分享给微信好友：wxScene = 0，分享到微信朋友圈：wxScene = 1
 */
module.exports.shareToWX = function(_wxScene) {
	var _shareUrl = key.url + "&chnl=2";
	if(1 == _wxScene){
		_shareUrl = key.url + "&chnl=3";
	}
	do_wx.share({
		appId : key.wx,
		wxLink: key.wxLink,
		scene : _wxScene, 
		type : 0,
		title : key.title,
		content : key.summary,
		url : _shareUrl, 
		image : key.image
	}, function(data, e) {
		if(data){		
			do_nf.toast("分享成功！");
		} 
	});
}

/**
 * 卡片信息分享到QQ
 * 分享的内容：图片的路径（_path）
 */
module.exports.shareCardToQQ = function(_path) {
	do_qq.shareToQQ({
		appId : key.qq,
		qqLink: key.qqLink,
		type : 1,
		image : _path,
		appName : "慧影时间流"
	}, function(data, e) {
		if(data){
			do_global.fire("ShareSuccessNotification");
		}
	});
}

/**
 * 卡片信息分享到微信
 * 
 * 分享给微信好友：wxScene = 0，分享到微信朋友圈：wxScene = 1
 * 分享的内容：图片的路径（_path）
 * 图片缩略图路径（thumbpath）
 */
module.exports.shareCardToWX = function(_wxScene, _path, _thumbPath) {
	do_wx.share({
		appId : key.wx,
		wxLink: key.wxLink,
		scene : _wxScene, 
		type : 1,
		image : _path,
		trumb: _thumbPath
	}, function(data, e) {
		print("shareCardToWX " + data);
		if(data){
			do_global.fire("ShareSuccessNotification");
		}
	});
}

/**
 * 分享文件到微信
 * 
 * 分享给微信好友：wxScene = 0
 */
module.exports.shareFileToWX = function(_filePath, _fileName, _callFun) {
	var _wxScene = 0;
	do_wx.share({
		appId : key.wx,
		wxLink: key.wxLink,
		scene : _wxScene, 
		type : 3,
		title: _fileName,
		content: key.file,
		filePath: _filePath
	}, function(data, e) {
		if(data){		
			do_nf.toast(key.success);
		}
		_callFun.call(this, data);
	});
}
